Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.beans
Class StateClassAccessor

    java.lang.Object
      |
      +--kodo.beans.StateClassAccessor

All Implemented Interfaces:
  ClassAccessor

public class StateClassAccessor
extends Object
implements ClassAccessor

Implementation of `ClassAccessor` that uses a `KodoStateManager` and a `ClassMetaData` to set and get field values.

Inner Class Summary
`class` | `StateClassAccessor.StateFieldAccessor`

Constructor Summary
`StateClassAccessor(Object forObject)`

Method Summary
`boolean` | `equals(Object other)` Equality depends on the class described by the accessor.
`FieldAccessor[]` | `getFieldAccessors()`
`Class` | `getType()`
`int` | `hashCode()` Equality depends on the class described by the accessor.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateClassAccessor

    public StateClassAccessor(Object forObject)

Method Detail

### getType

    public Class getType()

  Specified by:
    `getType` in interface `ClassAccessor`
  Following copied from interface: `kodo.beans.ClassAccessor`
  Returns:
    the type of the described class

### getFieldAccessors

    public FieldAccessor[] getFieldAccessors()

  Specified by:
    `getFieldAccessors` in interface `ClassAccessor`
  Following copied from interface: `kodo.beans.ClassAccessor`
  Returns:
    an array of accessors to access fields

### hashCode

    public int hashCode()

  Description copied from interface: `ClassAccessor`
  Equality depends on the class described by the accessor.
  Specified by:
    `hashCode` in interface `ClassAccessor`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Description copied from interface: `ClassAccessor`
  Equality depends on the class described by the accessor.
  Specified by:
    `equals` in interface `ClassAccessor`
  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.